let datalist_click = [false];
let bypass = false;

if ($('#dlAlumno').length > 0){
    $('#dlAlumno ul li').mousedown({index: 0},mousedownDataList);
    $('#dlAlumno ul li').mouseup({elem: 'Alumno', index: 0},mouseupDataList);
    $('#inputAlumno').click({elem: 'Alumno'},clickDataList);
    $('#inputAlumno').blur({elem: 'Alumno', index: 0},blurDataList);
    $('#inputAlumno').keyup({elem: 'Alumno'},inputKeyUp);
    $('#iconAlumno').mousedown({index: 0},mousedownDataList);
    $('#iconAlumno').mouseup({elem: 'Alumno', index: 0},mouseupDataList);
    $('#iconAlumno').click({elem: 'Alumno'},limpiaInputDL);
    $('#dlAlumno ul li').click({elem: 'Alumno'}, itemDataList);
}
$('#passwd').focus(function(){ $(this).siblings('span').show(); });
$('#passwd').blur(function(){ $(this).siblings('span').hide(); });
$('#passwd').tooltip({'trigger':'manual', 'title': 'Mayúsculas activado'});
$('#passwd').keyup(function(){
    if (event.getModifierState("CapsLock"))
        $('#passwd').tooltip('show');
    else
        $('#passwd').tooltip('hide');
});
$('.ing-ojo').hover(function(){ $(this).siblings('input').attr('type','text'); }, function(){ $(this).siblings('input').attr('type','password'); });
function validaCampos(){
    let valido = true;
    $('#username').val($.trim($('#username').val().toLowerCase()));    
    if($('#username').val() == ''){
        valido = false;
        $('#username').addClass('is-invalid');
    } else {
        if (!($('#username').val().startsWith('al') || $('#username').val().startsWith('ad') || $('#username').val().startsWith('do')) || $('#username').val().length < 8){
            valido = false;
            $('#username').addClass('is-invalid');
        } else 
            $('#username').removeClass('is-invalid');
    }
    if($('#passwd').val() == ''){
        valido = false;
        $('#passwd').addClass('is-invalid');
    } else
        $('#passwd').removeClass('is-invalid');
    if(bypass){
        if ($('#switchBuscar').hasClass('active')){
            if ($('#dlAlumno').data('id') == 0){
                valido = false;
                $('#dlAlumno').addClass('is-invalid');
            } else
                $('#dlAlumno').removeClass('is-invalid');
        } else {
            $('#clave').val($.trim($('#clave').val().toLowerCase()));    
            if($('#clave') == '' || !$('#clave').val().startsWith('al') || $('#clave').val().length < 8){
                valido = false;
                $('#clave').addClass('is-invalid');
            } else
                $('#clave').removeClass('is-invalid');
        }
    }
    return valido;
}
$('#formIngresar').submit(function(e){
    if (validaCampos()) {
        if (bypass)
            $('<input />').attr('type', 'hidden').attr('name', 'alumno').attr('value', $('#dlAlumno').data('id')).appendTo('#formIngresar');
        return true;
    } else
        return false;
});
$('#btnLimpiar').click(function(){
    $('.is-invalid').removeClass('is-invalid');
    $('input').val('');    
});
if($('#switchBuscar').length == 1) {
    bypass = true;
    $('#switchBuscar').click(function(){
        $(this).toggleClass('active');
        if ($('.span').text() == $(this).data('on')){
            $('.span').text($(this).data('off'));
            $(this).children('input').prop('checked',false);
            $('#clave').val('');
            $('#clave').show();            
            $('#dlAlumno').hide();
        } else {
            $('.span').text($(this).data('on'));
            $(this).children('input').prop('checked',true);
            $('#clave').hide();
            $('#inputAlumno').val('');
            $('#dlAlumno').show();
        }                    
    });
    $('#switchBuscar').click();
}